import baseurl from '../environment.js'

export const request = function(params) {
    return new Promise((resolve, reject) => {
        if(params.showLoading) {
            wx.showLoading({
              title: '加载中',
              mask: true
            })
        }
        // 接口api拼接环境地址
        params.url = baseurl + params.url
        const {tenantId} = wx.getStorageSync('tenant')
        if(tenantId && !params?.data?.tenantId) {
            params.data = {
                ...params.data,
                tenantId
            }
        }
        wx.request({
          ...params,
            success: function(res) {
                if(params.showLoading) {
                    wx.hideLoading()
                }
                // 处理请求
                if(params.url === baseurl+'/aliyunOss/getSecurityToken') {
                    resolve(res.data)
                } else {
                    if(res.data.code == 0) { // 请求成功状态码
                        resolve(res.data)
                    } else {
                        reject(res.data.msg)
                    }
                }
            },
            fail: function (error) {
                if(params.showLoading) {
                    wx.hideLoading()
                }
                reject(error)
            }
        })
    }).catch(e => {
        wx.showToast({
            icon: "none",
            title: e || '系统错误',
            duration: 2000
        })
    })
}